mlocale_set(3m17n)

NAME
mlocale_set - Set the current locale.

SYNOPSIS
MLocale* mlocale_set (int category, const char * name)

DESCRIPTION
Set the current locale.

The mlocale_set() function sets or query a part of the current locale. The part is specified by category which must be a valid first argument to setlocale().

If locale is not NULL, the locale of the specified part is set to locale. If locale is not supported by the system, the current locale is not changed.

If locale is NULL, the current locale of the specified part is queried.

RETURN VALUE

    If the call is successful, mlocale_set() returns an opaque locale object that corresponds to the locale. The name of the locale can be acquired by the function mlocale_get_prop(). Otherwise, it returns NULL.

ERRORS

    MERROR_LOCALE

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.